# Table.update\_variables

### Table.<mark style="color:purple;">update\_variables</mark>(*variables*) → void

Batch update variable metadata attributes for all variables in a table.

### **Parameters:**

**`variables` :&#x20;*****list\<dict>***\
A list of variables to update. Each variable is represented by a dict, with a mandatory `"name"` property, corresponding to the variable's name, and any metadata properties to update. To clear a metadata property, set it to `None`, otherwise omit it to leave a given property unchanged.

### **Returns:**&#x20;

**void**

### Examples:

```python
import redivis
table = redivis.table("my.table.reference")

table.update_variables([
    {
        # All attrs other than "name" are optional.
        # To remove a value, set it to None
        "name": "var_name",
        "label": "my_label",
        "description": "my_description",
        "valueLabels": [
            { "value": "1", "label": "Yes"},
            { "value": "2", "label": "No" },
            ...
        ]
    }
    ...
])
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/table/table.update_variables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
